%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Bittorrent Client
Name:		deluge
Version:	1.1.9
Release:	2
BuildArch:	i686
License:	GNU/GPL
URL:		http://deluge-torrent.org/
Group:		Networking/File Transfer
Source0:	%{name}-%{version}.tar.lzma
Patch1:		deluge-fix-include.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires:  boost-devel
BuildRequires:  glibc-devel
BuildRequires:  openssl-devel
BuildRequires:  libstdc++-devel
BuildRequires:  python26-devel python26-setuptools
BuildRequires:  zlib-devel

Requires:	pyxdg
Requires:	notify-python
Requires:	dbus-python26
Requires:	python26-setuptools
Requires:	gnome-python-gnomevfs

%description
Deluge is a full-featured BitTorrent client for Linux, Mac OS X and Windows. It uses libtorrent in it's backend and PyGTK for it's user interface.
Deluge features a rich plugin collection; in fact, most of Deluge's functionality is available in the form of plugins.
Deluge was created with the intention of being lightweight and unobtrusive. It is our belief that downloading shouldn?t be the primary task on your computer and therefore shouldn?t monopolize system resources.
Deluge is not designed for any one desktop environment and will work just fine in GNOME, KDE, XFCE and others.

%post
ldconfig
/usr/bin/update-desktop-database

%postun
ldconfig
/usr/bin/update-desktop-database

%prep
%setup -n %{name}-%{version}
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

# fix missing include
%patch1 -p1

%build
/usr/bin/python%{PYVER} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
/usr/bin/python%{PYVER} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir
%_libdir/python%{PYVER}
%_applications
%_pixmaps
%_datadir/icons
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 1.1.9-2
- python 2.6
* Tue Sep 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.9-1
- Version update
* Mon May 11 2009 Christian Wasem <wasem@ccux-linux.de> 1.1.7-1
- Version update, build with explicit /usr/bin/python2.5
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5.8.2-1
- Version update
* Sun Dec 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.5.8-1
- Initial Release
